<div class="row">
  <div class="col">
    <h1 class="text-center">{{ title }}</h1>
  </div>
</div>
<div class="row">
  <div class="col">
    <hr>
    <div class="text-center fs-1 fw-bolder" id="counter">
      <span>counter: </span><span>{{ counter }}</span>
    </div>
    <div *ngIf="error" class="alert alert-danger text-center" role="alert">
      <code>counter</code> cannot be negative.
    </div>
    <div class="text-center">
      <div class="btn-group" role="group">
        <app-button-substract [counter]="counter" (negativeCounter)="onError($event)" (newValue)="handleValue($event)">
        </app-button-substract>
        <app-button-add [counter]="counter" (negativeCounter)="onError($event)" (newValue)="handleValue($event)">
        </app-button-add>
      </div>
    </div>
  </div>
</div>
